lpr(1)

NOM
lpr - Imprimer des fichiers.

SYNOPSIS
lpr [ -E ] [ -H serveur[:port] ] [ -U identifiant ] [ -P destination[/instance] ] [ -# nombre_copies [ -h ] [ -l ] [ -m ] [ -o option[=valeur] ] [ -p] [ -q ] [ -r ] [ -C titre ] [ -J titre ] [ -T titre ] [ fichier(s) ]

DESCRIPTION
lpr demande l'impression de fichiers. Les fichiers qui sont donnés dans la ligne de commande sont envoyés à l’imprimante indiquée (ou la destination par défaut si aucune n'est fournie). Si aucun fichier n'est donné dans la ligne de commande, lpr lit le fichier à imprimer sur l'entrée standard.

  LA DESTINATION PAR DÉFAUT
CUPS fournit plusieurs façons de spécifier la destination par défaut. Les variables d'environnement « LPDEST » et « PRINTER » sont lues en premier. Si aucune n'est paramétrée, la valeur par défaut, spécifiée en utilisant la commande lpoptions(1) est utilisée, suivie par la valeur par défaut spécifiée en utilisant la commande lpadmin(8).

OPTIONS
Les options suivantes sont gérées par lpr :

-E  Obliger un chiffrement lors de la connexion au serveur.

-H serveur[:port]
    Indiquer un serveur alternatif.

-C "nom"

-J "nom"

-T "nom"
    Définir le nom et titre du travail.

-P destination[/instance]
    Imprimer les fichiers sur l'imprimante donnée.

-U identifiant
    Utiliser un autre identifiant.

-# copies
    Nombre de copies à effectuer.

-h  Désactiver l'impression de la bannière. Cette option est équivalente à -o job-sheets=none.

-l  Indiquer que le fichier est déjà formaté pour la destination et qu'aucun filtre n'a besoin d'être appliqué. Cette option est équivalente à « -o raw ».

-m  Envoyer un courrier électronique à la fin du travail d'impression.

-o option[=valeur]
    Définir une option de travail. Consultez « OPTIONS COMMUNES DES TRAVAUX » ci-après.

-p  Indiquer que chaque page du fichier à imprimer doit avoir un en-tête ombré contenant la date, l'heure, le nom du travail d'impression et le numéro de page. Cette option est équivalente à « -o prettyprint » et n'est utile que dans le cas de fichiers texte.

-q  Suspendre l'impression d'un travail.

-r  Indiquer que les fichiers nommés doivent être effacés après leur soumission.

  OPTIONS COMMUNES DES TRAVAUX
En plus des options spécifiques des imprimantes, indiquées par lpoptions(1), les options génériques suivantes sont disponibles :

-o job-sheets=nom
    Imprimer une page d’ouverture (bannière) avec le document. Le nom peut être « name », « classified », « confidential », « secret », « standard », « topsecret », ou « unclassified ».

-o media=taille
    Fixer la taille du papier à taille. La plupart des imprimantes gèrent au moins les tailles appelées « a4 », « letter » et « legal ».

-o number-up={2|4|6|9|16}
    Imprimer 2, 4, 6, 9 ou 16 pages (entrée) sur chaque page produite.

-o orientation-requested=4
    Imprimer en mode paysage (rotation de 90 degrés dans le sens anti-horaire).

-o orientation-requested=5
    Imprimer en mode paysage (rotation de 90 degrés dans le sens horaire).

-o orientation-requested=6
    Imprimer en mode portrait inversé (rotation de 180 degrés).

-o print-quality=3

-o print-quality=4

-o print-quality=5
    Specifies the output quality - draft (3), normal (4), or best (5).

-o sides=one-sided
    Imprimer sur une seule face de feuille.

-o sides=two-sided-long-edge
    Imprimer sur les deux faces de feuille pour une sortie portrait.

-o sides=two-sided-short-edge
    Imprimer sur les deux faces de feuille pour une sortie paysage.

NOTES
Les options -c, -d, -f, -g, -i, n, -t, -v et -w ne sont pas prises en charge par CUPS et donnent un message d'avertissement lorsqu'elles sont utilisées.

EXEMPLES
Imprimer deux copies d’un document sur l’imprimante par défaut :

    lpr -# 2 nom_fichier

Imprimer en recto-verso sur une page « Legal » avec l'imprimante « toto » :

    lpr -P foo -o media=legal -o sides=two-sided-long-edge nom_fichier

Imprimer une double composition avec l'imprimante « toto ».

    lpr -P foo -o number-up=2 nom_fichier

VOIR AUSSI
cancel(1), lp(1), lpadmin(8), lpoptions(1), lpq(1), lprm(1), lpstat(1), aide en ligne de CUPS <URL:http://localhost:631/help>

COPYRIGHT
Copyright © 2021-2022 by OpenPrinting.